Bullet Collision Detection & Physics Library: btBroadphaseProxy.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Functions
btBroadphaseProxy.h File Reference
`#include "LinearMath/btScalar.h"`
`#include "LinearMath/btVector3.h"`
`#include "LinearMath/btAlignedAllocator.h"`
Include dependency graph for btBroadphaseProxy.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | btBroadphaseProxy
| The btBroadphaseProxy is the main class that can be used with the Bullet broadphases. More...
struct | btBroadphasePair
| The btBroadphasePair class contains a pair of aabb-overlapping objects. More...
class | btBroadphasePairSortPredicate

## Enumerations
enum | BroadphaseNativeTypes { BOX_SHAPE_PROXYTYPE , TRIANGLE_SHAPE_PROXYTYPE , TETRAHEDRAL_SHAPE_PROXYTYPE , CONVEX_TRIANGLEMESH_SHAPE_PROXYTYPE , CONVEX_HULL_SHAPE_PROXYTYPE , CONVEX_POINT_CLOUD_SHAPE_PROXYTYPE , CUSTOM_POLYHEDRAL_SHAPE_TYPE , IMPLICIT_CONVEX_SHAPES_START_HERE , SPHERE_SHAPE_PROXYTYPE , MULTI_SPHERE_SHAPE_PROXYTYPE , CAPSULE_SHAPE_PROXYTYPE , CONE_SHAPE_PROXYTYPE , CONVEX_SHAPE_PROXYTYPE , CYLINDER_SHAPE_PROXYTYPE , UNIFORM_SCALING_SHAPE_PROXYTYPE , MINKOWSKI_SUM_SHAPE_PROXYTYPE , MINKOWSKI_DIFFERENCE_SHAPE_PROXYTYPE , BOX_2D_SHAPE_PROXYTYPE , CONVEX_2D_SHAPE_PROXYTYPE , CUSTOM_CONVEX_SHAPE_TYPE , CONCAVE_SHAPES_START_HERE , TRIANGLE_MESH_SHAPE_PROXYTYPE , SCALED_TRIANGLE_MESH_SHAPE_PROXYTYPE , FAST_CONCAVE_MESH_PROXYTYPE , TERRAIN_SHAPE_PROXYTYPE , GIMPACT_SHAPE_PROXYTYPE , MULTIMATERIAL_TRIANGLE_MESH_PROXYTYPE , EMPTY_SHAPE_PROXYTYPE , STATIC_PLANE_PROXYTYPE , CUSTOM_CONCAVE_SHAPE_TYPE , SDF_SHAPE_PROXYTYPE = CUSTOM_CONCAVE_SHAPE_TYPE , CONCAVE_SHAPES_END_HERE , COMPOUND_SHAPE_PROXYTYPE , SOFTBODY_SHAPE_PROXYTYPE , HFFLUID_SHAPE_PROXYTYPE , HFFLUID_BUOYANT_CONVEX_SHAPE_PROXYTYPE , INVALID_SHAPE_PROXYTYPE , MAX_BROADPHASE_COLLISION_TYPES }
| btDispatcher uses these types IMPORTANT NOTE:The types are ordered polyhedral, implicit convex and concave to facilitate type checking CUSTOM_POLYHEDRAL_SHAPE_TYPE,CUSTOM_CONVEX_SHAPE_TYPE and CUSTOM_CONCAVE_SHAPE_TYPE can be used to extend Bullet without modifying source code More...

## Functions
bool | operator== (const btBroadphasePair &a, const btBroadphasePair &b)

## Enumeration Type Documentation

## ◆ BroadphaseNativeTypes

enum BroadphaseNativeTypes

btDispatcher uses these types IMPORTANT NOTE:The types are ordered polyhedral, implicit convex and concave to facilitate type checking CUSTOM_POLYHEDRAL_SHAPE_TYPE,CUSTOM_CONVEX_SHAPE_TYPE and CUSTOM_CONCAVE_SHAPE_TYPE can be used to extend Bullet without modifying source code

Enumerator
BOX_SHAPE_PROXYTYPE |
TRIANGLE_SHAPE_PROXYTYPE |
TETRAHEDRAL_SHAPE_PROXYTYPE |
CONVEX_TRIANGLEMESH_SHAPE_PROXYTYPE |
CONVEX_HULL_SHAPE_PROXYTYPE |
CONVEX_POINT_CLOUD_SHAPE_PROXYTYPE |
CUSTOM_POLYHEDRAL_SHAPE_TYPE |
IMPLICIT_CONVEX_SHAPES_START_HERE |
SPHERE_SHAPE_PROXYTYPE |
MULTI_SPHERE_SHAPE_PROXYTYPE |
CAPSULE_SHAPE_PROXYTYPE |
CONE_SHAPE_PROXYTYPE |
CONVEX_SHAPE_PROXYTYPE |
CYLINDER_SHAPE_PROXYTYPE |
UNIFORM_SCALING_SHAPE_PROXYTYPE |
MINKOWSKI_SUM_SHAPE_PROXYTYPE |
MINKOWSKI_DIFFERENCE_SHAPE_PROXYTYPE |
BOX_2D_SHAPE_PROXYTYPE |
CONVEX_2D_SHAPE_PROXYTYPE |
CUSTOM_CONVEX_SHAPE_TYPE |
CONCAVE_SHAPES_START_HERE |
TRIANGLE_MESH_SHAPE_PROXYTYPE |
SCALED_TRIANGLE_MESH_SHAPE_PROXYTYPE |
FAST_CONCAVE_MESH_PROXYTYPE | used for demo integration FAST/Swift collision library and Bullet
TERRAIN_SHAPE_PROXYTYPE |
GIMPACT_SHAPE_PROXYTYPE | Used for GIMPACT Trimesh integration.
MULTIMATERIAL_TRIANGLE_MESH_PROXYTYPE | Multimaterial mesh.
EMPTY_SHAPE_PROXYTYPE |
STATIC_PLANE_PROXYTYPE |
CUSTOM_CONCAVE_SHAPE_TYPE |
SDF_SHAPE_PROXYTYPE |
CONCAVE_SHAPES_END_HERE |
COMPOUND_SHAPE_PROXYTYPE |
SOFTBODY_SHAPE_PROXYTYPE |
HFFLUID_SHAPE_PROXYTYPE |
HFFLUID_BUOYANT_CONVEX_SHAPE_PROXYTYPE |
INVALID_SHAPE_PROXYTYPE |
MAX_BROADPHASE_COLLISION_TYPES |

Definition at line 27 of file btBroadphaseProxy.h.

## Function Documentation

## ◆ operator==()

bool operator== | ( | const btBroadphasePair & | a,
|  | const btBroadphasePair & | b
| ) |  |
| inline

Definition at line 243 of file btBroadphaseProxy.h.